## mx4j.monitor
Class MX4JMonitorNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              mx4j.monitor.MX4JMonitorNotification

All Implemented Interfaces:
  java.io.Serializable

public class MX4JMonitorNotification
extends javax.management.Notification

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`MX4JMonitorNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, long timeStamp, java.lang.String message, javax.management.ObjectName monitoredName, java.lang.String attribute, java.lang.Object gauge, java.lang.Object trigger)`

Method Summary
`java.lang.Object` `getDerivedGauge()`
`java.lang.String` `getObservedAttribute()`
`javax.management.ObjectName` `getObservedObject()`
`java.lang.Object` `getTrigger()`
`java.lang.String` `toString()`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MX4JMonitorNotification

    public MX4JMonitorNotification(java.lang.String type,
                                   java.lang.Object source,
                                   long sequenceNumber,
                                   long timeStamp,
                                   java.lang.String message,
                                   javax.management.ObjectName monitoredName,
                                   java.lang.String attribute,
                                   java.lang.Object gauge,
                                   java.lang.Object trigger)

Method Detail

### getObservedObject

    public javax.management.ObjectName getObservedObject()

### getDerivedGauge

    public java.lang.Object getDerivedGauge()

### getObservedAttribute

    public java.lang.String getObservedAttribute()

### getTrigger

    public java.lang.Object getTrigger()

### toString

    public java.lang.String toString()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.